



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>linux之常见错误</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">linux之常见错误</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-01 10:09:30 </span>
						</div>
										<div class="post-content">
											
		<p>在日常开发中，尤其是在Linux中进行操作的时候，经常会碰到各种各样的错误。记录一下，熟能生巧，慢慢参透linux的奥秘</p>
<p>1） <strong>在安装ssl证书的时候，发生certbot命令无法使用的情况</strong></p>
<p><img referrerpolicy="no-referrer"src="https://images2018.cnblogs.com/blog/1128896/201806/1128896-20180610220239316-1304797033.png" /></p>
<p>解决方案：</p>
<p>使用yum重新进行安装，卸载掉使用pip方式进行安装的软件</p>
<div>
<pre class="prettyprint linenums">pip uninstall requests<br />
yum reinstall python-requests

pip uninstall six<br />
yum reinstall python-six

pip uninstall urllib3<br />
yum reinstall python-urllib3
</pre>
</div>
<p>　　2）问题. &nbsp;xxx is not in the sudoers file. This incident will be reported.(当想要以 xxx的身份切换到root权限时，使用sudo su命令，并按提示输入 *** 的密码后出现的错误提示)</p>
<p><em>解决方案</em></p>
<div>
<pre class="prettyprint linenums">.修改sudoer文件，使得能够使用sudo命令

su  （切换到root用户下）；<br />
输入root用户密码；

ls -l /etc/sudoers （查看sudoers文件）<br />
chmod u+w /etc/sudoers（给root用户增加写权限）;<br />
ls -l /etc/sudoers （查看sudoers文件）

vim /etc/sudoers（打开sudoers文件）然后在 root ALL=（ALL） ALL 后面加上 XXX ALL = （ALL） ALL，其中XXX表示你的用户名，保存之后推出<br />
chmode u-w /etc/sudoers （恢复sudoers文件原来的读写权限）<br />
ls -l /etc/sudoers （查看sudoers文件）<br />
exit（退出root用户）<br />
如此，就可以在xxx用户下使用sudo来做root权限的事情啦</pre>
</div>
<p>2)&nbsp;<strong>is not in the sudoers file</strong></p>
<p>　　解决方案:</p>
<p>　　　　1) 切换到root身份 (su:&nbsp; 只是切换到root, 并没有吧root的环境变量传递过去,&nbsp; su - : 将环境变量一起带过去 , 就像root登陆一样 )</p>
<div>
<pre class="prettyprint linenums">直接执行命令:<br />
    visudo 

复制root的配置

root ALL=(ALL) ALL

例如添加lanlang

lanlang ALL=(ALL) ALL</pre>
</div>
<p>　　　　2) 直接将用户添加到wheel用户组中</p>
<div>
<pre class="prettyprint linenums">usermod -a -G wheel lanlang

-a: 追加的方式添加, 不会删除掉之前所属的用户组<br />
-G: 执行要添加的用户组</pre>
</div>
<p>　　　　3)新增一个用户, 并以组的形式添加到/etc/sudoers中, 最后再添加一个用户到这个组上</p>
<div>
<pre class="prettyprint linenums">useradd sudogroup<br />
echo "%sudogroup  ALL=(ALL)   ALL"&gt;&gt; /etc/sudoers

useradd xing<br />
usermod -aG sudogroup xing</pre>
</div>
<p>3. <strong>使用su切换用户的时候,变成&nbsp;-bash4.1-$</strong></p>
<p>　　原因探究:</p>
<p>　　　　1)在该用户的家目录下没有相关环境配置文件(.bash_logout .bash_profile, .bashrc )</p>
<p>　　　　2) 该用户的家目录与添加的时候的不一致,</p>
<p>　　解决:</p>
<p>　　　　1) 将/etc/skel的用户环境配置文件复制到指定的目录</p>
<div>
<pre class="prettyprint linenums">cp -a /etc/skel/. /home/lanlang

注意: skel/ 目录中的点不能丢哦</pre>
</div>
<p>　　　　2) 需要进行迁移操作</p>
<div>
<pre class="prettyprint linenums">usermod -md /tmp/lanlang lanlang

-d: 修改用户端额家目录通常和-m一起使用<br />
-m: 修改用户家目录通常和-d一起使用</pre>
</div>
<p>4. 创建用户,登陆只显示$ 符号(Ubuntu)</p>
<p>　　解决: 需要创建用户的使用创建相应的权限与目录</p>
<div>
<pre class="prettyprint linenums">adduser  lanlang</pre>
</div>
<p>5.&nbsp;-bash: warning: setlocale: LC_CTYPE: cannot change locale (UTF-8):</p>
<p>　　解决：<code>vim /etc/environment</code></p>
<div>
<pre class="prettyprint linenums">LANG=en_US.utf-<br />
LC_ALL=en_US.utf-</pre>
</div>
<p>　　配置生效：source /etc/environment</p>
<p>6.<a href="http://www.gaojiajia.cn/index.php/2019/09/09/nginx-emerg-bind-to-0-0-0-0443-failed%ef%bc%8898%ef%bc%9aaddress-already-in-use%ef%bc%89%e8%a7%a3%e5%86%b3%e6%96%b9%e6%b3%95/" rel="external nofollow noreferrer">nginx: [emerg] bind() to 0.0.0.0:443 failed（98：Address already in use）</a></p>
<p>　　解决： 强制关闭接口占用进程</p>
<div>
<pre class="prettyprint linenums">sudo fuser -k /tcp #关闭占用80端口的程序</pre>
</div>
<p>7. 腾讯云重置服务之后，使用ssh或者连接工具都无法进行连接</p>
<p>　　解决：删除无效密钥</p>
<div>
<pre class="prettyprint linenums">ssh-keygen -R "you server hostname or ip"</pre>
</div>
<p>8. grep命令提示Binary file jzl_search_stdout.log matches</p>
<p>　　解决:</p>
<div>
<pre class="prettyprint linenums">grep -nr -a "" jzl_search_stdout.log

-a, --text equivalent to --binary-files=text，即让二进制文件等价于文本。</pre>
</div>																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/rqljzpx9.html">jQuery整理</a>
		</li>
						<li><a href="https://www.batexi.com/a/390plom8.html">Lua Serial&sol;Serialize&sol;Serializer&sol;Serializing 序列化&sol;反序列化</a>
		</li>
						<li><a href="https://www.batexi.com/a/39rpm1e8.html">cf 106C</a>
		</li>
						<li><a href="https://www.batexi.com/a/93xx6er9.html">C&sol;C&plus;&plus;大数库简介</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvvedyyq.html">javaSE第二十天</a>
		</li>
						<li><a href="https://www.batexi.com/a/9j0lnxlq.html">javascript 继承、命名空间实现分享</a>
		</li>
						<li><a href="https://www.batexi.com/a/93x3m1g9.html">Unity3d 协程、调用函数、委托</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rdk3nm8.html">&lbrack;Andrew&rsqb;Ext&period;net前台弹框</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwdxe238.html">VisualBox会造成VPN连接不上问题</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvvolozq.html">bzoj2342</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdeyx3x9.html">CentOS 6&period;3下部署LVS&lpar;NAT&rpar;&plus;keepalived实现高性能高可用负载均衡【转】</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rgngo78.html">sublime vue 语法高亮插件安装</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxkx1zj8.html">夏令营提高班上午上机测试 Day 1 解题报告</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1k64w49.html">javascript、ruby和C性能一瞥&lpar;3&rpar; &colon;上汇编</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv1l7lxq.html">React笔记：React基础（2）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv2zoxj9.html">关于Java 实现抽象类的抽象方法的特性的利用---面向切面</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxd6yjd9.html">windows文件服务器的磁盘空间挂载在linux目录下使用</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7o03ee8.html">HTML语言</a>
		</li>
						<li><a href="https://www.batexi.com/a/8ko1dn6q.html">【API】文件操作编程基础-CreateFile、WriteFile、SetFilePointer</a>
		</li>
						<li><a href="https://www.batexi.com/a/8koj416q.html">python学习笔记&mdash;&mdash;爬虫中提取网页中的信息</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/qwvlzmr8.html">《软工实践》第零次作业 - 一些QA</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7oewvg8.html">CF 1110 D&sol;E</a>
			</li>
						<li><a href="https://www.batexi.com/a/8zyk20x9.html">C&num;事件の事件访问器</a>
			</li>
						<li><a href="https://www.batexi.com/a/8e4m65m9.html">Linux之权限详解</a>
			</li>
						<li><a href="https://www.batexi.com/a/q1rvxzz8.html">用golang chromedp 操作已经打开的chrome浏览器</a>
			</li>
						<li><a href="https://www.batexi.com/a/qnvne2g8.html">Linux中的update和upgrade的区别</a>
			</li>
						<li><a href="https://www.batexi.com/a/95g31nzq.html">HTTP协议中GET和POST的区别（详细描述）</a>
			</li>
						<li><a href="https://www.batexi.com/a/8e4mkpz9.html">jenkins进行andriod打包，上传蒲公英</a>
			</li>
						<li><a href="https://www.batexi.com/a/qyyvj5mq.html">mysql创建索引的原则</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7oey2x8.html">PHP设计模式&lowbar;工厂模式</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
